Subject: SDP> Re: IPP> Charter eyeglasses

From: "Scott Isaacson" <[email-masked]>
Date: Wed, 15 Apr 1998 19:23:08 -0600

Harry,

When I read:

>>> Harry Lewis <[email-masked]> 04/15/98 04:24PM >>>
>The Internet Print Protocol is a CLIENT-SERVER type protocol which
>should allow the server side to be either a separate print server or
>a printer with embedded networking capabilities. 

I assume CLIENT/SERVER in the distributed systems architecture sense
NOT in the literal CLIENT = PC and SERVER = file server/printer server hardware
box sense.  I see client/server meaning request/response rather than distribute object
remote methods, IIOP, RMI stuff. 

In other workds, I am not confused into thinking end-user to file server only (not server
to device) when I see the term "client/server"

Good reading of the charter thought, very helpful.

Scott